sKimap

Karamba & Superkaramba

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
6.0
Description:

This theme will display the number of new and unread emails in your imap mail account. It will auto-size itself to accommodate the number of mailboxes you are watching. The number of mailboxes is only limited by your screen real-estate. You can choose which of the mailboxes on your account you want to watch. You can set the update interval, and which email client opens when you click the top of the theme. Configuration is all done through a configuration dialog.

**********************************
Depends on:
Superkaramba >= 0.39
PyQt
**********************************
Last changelog:

13 years ago

1.1

This is a bug fix release, which fixes a very basic bug that meant that the theme wouldn't run without a configuration file, and you couldn't create a configuration file without running the theme. All very embarrasing, although, I can't believe no-one mailed me about this before now.

HavinItAgain

10 years ago

Hi, many thanks for this theme! It's been a permanent favourite of mine for a long time for its simplicity and reliability.

Unfortunately, after I updated to python-2.6 (and rebuilt PyQT and PyQT4 against it) it now fails with the following output:
Quote:
Kross: "Error error=Error when calling the metaclass bases
module.__init__() takes at most 2 arguments (3 given) lineno=81 trace=
File "/tmp/kde-robin/runningThemes/xzBmAQ/sKimap.py", line 4, in <module>
import time

File "/tmp/kde-robin/runningThemes/xzBmAQ/sKimap.py", line 3, in <module>
import imaplib

File "<string>", line 18, in _import

File "<string>", line 18, in _import

File "<string>", line 18, in _import

File "<string>", line 18, in _import

File "/usr/lib/python2.6/imaplib.py", line 1115, in <module>
import ssl

File "<string>", line 18, in _import

File "<string>", line 18, in _import

File "<string>", line 18, in _import

File "<string>", line 18, in _import

File "/usr/lib/python2.6/ssl.py", line 81, in <module>
class SSLSocket (socket):
"

I'm using kde-4.2.1, PyQt-3.17.6 and PyQt4-4.4.4 on Gentoo. Just let me know if I can be any help debugging.

Thanks,
Robin

Report

HorstBrack

12 years ago

Either the thing does not work with nonstandard ports (993) or it does not work with ssl authentication.
Anyway, when configuring with port 993 and press "check server" it does not only freeze but also attempts to kill the desktop :(

Report

13 years ago

1.1

This is a bug fix release, which fixes a very basic bug that meant that the theme wouldn't run without a configuration file, and you couldn't create a configuration file without running the theme. All very embarrasing, although, I can't believe no-one mailed me about this before now.

12345678910
product-maker Count:23 Rating: 6.00
File (click to download) Version Description Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
1.1
updated Dec 02 2006
added May 02 2006
downloads today
0
page views today 3